PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
PSNMP_PDUs Class Reference

`#include <snmp.h>`

Inherits PASN_Choice.

## Public Types
enum | Choices { e_get_request, e_get_next_request, e_get_response, e_set_request, e_trap }

## Public Member Functions
| PSNMP_PDUs (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PSNMP_GetRequest_PDU & ()
| operator const PSNMP_GetRequest_PDU & () const
| operator PSNMP_GetNextRequest_PDU & ()
| operator const PSNMP_GetNextRequest_PDU & () const
| operator PSNMP_GetResponse_PDU & ()
| operator const PSNMP_GetResponse_PDU & () const
| operator PSNMP_SetRequest_PDU & ()
| operator const PSNMP_SetRequest_PDU & () const
| operator PSNMP_Trap_PDU & ()
| operator const PSNMP_Trap_PDU & () const
virtual PBoolean | Decode (PASN_Stream &strm)
virtual void | Encode (PASN_Stream &strm) const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum PSNMP_PDUs::Choices

Enumerator
e_get_request |
e_get_next_request |
e_get_response |
e_set_request |
e_trap |

## Constructor & Destructor Documentation

PSNMP_PDUs::PSNMP_PDUs | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PSNMP_PDUs::Clone | ( |  | ) | const

PBoolean PSNMP_PDUs::CreateObject | ( |  | ) |

virtual PBoolean PSNMP_PDUs::Decode | ( | PASN_Stream & | strm | ) |
| virtual

virtual void PSNMP_PDUs::Encode | ( | PASN_Stream & | strm | ) | const
| virtual

PSNMP_PDUs::operator const PSNMP_GetNextRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_GetRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_GetResponse_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_SetRequest_PDU & | ( |  | ) | const

PSNMP_PDUs::operator const PSNMP_Trap_PDU & | ( |  | ) | const

PSNMP_PDUs::operator PSNMP_GetNextRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_GetRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_GetResponse_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_SetRequest_PDU & | ( |  | ) |

PSNMP_PDUs::operator PSNMP_Trap_PDU & | ( |  | ) |

The documentation for this class was generated from the following file:

- snmp.h